Module | TkTextTagConfig
In: | tk/lib/tk/text.rb

### Methods

current_tag_configinfo current_window_configinfo tag_cget tag_configinfo tag_configure window_cget window_configinfo window_configure

### Included Modules

TkTreatItemFont TkItemConfigMethod

### Public Instance methods

current_tag_configinfo(tagOrId, slot=nil)

[Source]

    # File tk/lib/tk/text.rb, line 42
      def current_tag_configinfo(tagOrId, slot=nil)
        itemconfigure(['tag', tagOrId], slot)
      end

current_window_configinfo(tagOrId, slot=nil)

[Source]

    # File tk/lib/tk/text.rb, line 55
      def current_window_configinfo(tagOrId, slot=nil)
        itemconfigure(['window', tagOrId], slot)
      end

tag_cget(tagOrId, option)

[Source]

    # File tk/lib/tk/text.rb, line 33
      def tag_cget(tagOrId, option)
        itemcget(['tag', tagOrId], option)
      end

tag_configinfo(tagOrId, slot=nil)

[Source]

    # File tk/lib/tk/text.rb, line 39
      def tag_configinfo(tagOrId, slot=nil)
        itemconfigure(['tag', tagOrId], slot)
      end

tag_configure(tagOrId, slot, value=None)

[Source]

    # File tk/lib/tk/text.rb, line 36
      def tag_configure(tagOrId, slot, value=None)
        itemconfigure(['tag', tagOrId], slot, value)
      end

window_cget(tagOrId, option)

[Source]

    # File tk/lib/tk/text.rb, line 46
      def window_cget(tagOrId, option)
        itemcget(['window', tagOrId], option)
      end

window_configinfo(tagOrId, slot=nil)

[Source]

    # File tk/lib/tk/text.rb, line 52
      def window_configinfo(tagOrId, slot=nil)
        itemconfigure(['window', tagOrId], slot)
      end

window_configure(tagOrId, slot, value=None)

[Source]

    # File tk/lib/tk/text.rb, line 49
      def window_configure(tagOrId, slot, value=None)
        itemconfigure(['window', tagOrId], slot, value)
      end

[Validate]